<?php

/***************************************************************
*  Copyright notice
*
*  (c) 2007 Stefan Galinski <Stefan.Galinski@frm2.tum.de>
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

require_once(t3lib_extMgm::extPath('scriptmerger') . 'class.scriptmerger.php');

/**
 * XCLASS to merge css files. The result should be a faster frontend by reducing
 * the total amount of requests.
 */
class ux_tslib_fe extends tslib_fe
{
	/**
	 * Manipulates the configuration array to reduce the total amounts of requests...
	 */
	function getConfigArray() {
		parent::getConfigArray();
		new scriptmerger();
	}
}

?>
